package com.sf.msg.service;

package ..deTemp.1734795389663;

import com.sf.msg.consumers.SmsMessageConsumer;
import com.smartframework.web.core.http.WsMsgExecutor;
import com.smartframework.web.core.utils.WsClient;
import java.util.Map;
import java.util.Timer;
import java.util.TimerTask;
import org.apache.log4j.Logger;

public class SmsWsMsgExecutor extends WsMsgExecutor {
  public static Logger logger = Logger.getLogger(com.sf.msg.service.SmsWsMsgExecutor.class);
  
  static Timer timer = new Timer();
  
  static {
    timer.schedule((TimerTask)new Object(), 1000L, 3600000L);
  }
  
  public void onMessage(WsClient webSocketClient, String topic, Map<String, Object> message) {
    Long start = Long.valueOf(System.currentTimeMillis());
    SmsMessageConsumer.reLoad();
    Long end = Long.valueOf(System.currentTimeMillis());
    logger.debug("收到界面刷新配置消息，初始化配置，耗时:" + (end.longValue() - start.longValue()));
  }
  
  public String webServiceName() {
    return "WS_MSG_CONSUMER_MNG";
  }
}
